From: "omar hasan" <[email-masked]>
Date: Wed, 18 Aug 2010 06:01:54 -0700

My name is Omar Hasan a merchant in Dubai, in the U.A.E. I have an urgent
bussiness to share with you, please get back to me for more details